package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type PlantStringer struct {
}

func (this *PlantStringer) ToString(plant *mdl.Plant) (string, error) {
	if plant == nil {
		return "", nil
	}
	return plant.Name, nil
}
func (this *PlantStringer) MustToString(entity *mdl.Plant) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
